<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTestSourceObject_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTestSourceObject_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The Object position and signal strength parameter structure.  
 <a href="structrl_test_source_object__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af24082cb9bfd81f00d13fb7570a46b85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af24082cb9bfd81f00d13fb7570a46b85"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#af24082cb9bfd81f00d13fb7570a46b85">posX</a></td></tr>
<tr class="memdesc:af24082cb9bfd81f00d13fb7570a46b85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Relative position in Cartesian coordinate from sensor to objects <br />
 X position of object 1lsb = 1cm, -32768cm to 32767cm <br />
. <br /></td></tr>
<tr class="separator:af24082cb9bfd81f00d13fb7570a46b85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a311da245c1724d2418fd3d50b41d4cd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a311da245c1724d2418fd3d50b41d4cd6"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#a311da245c1724d2418fd3d50b41d4cd6">posY</a></td></tr>
<tr class="memdesc:a311da245c1724d2418fd3d50b41d4cd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Relative position in Cartesian coordinate from sensor to objects <br />
 Y position of object 1lsb = 1cm, 0 -32767 cm <br />
. <br /></td></tr>
<tr class="separator:a311da245c1724d2418fd3d50b41d4cd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce6249e5f56e101628b6d7edcc0b733"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ce6249e5f56e101628b6d7edcc0b733"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#a7ce6249e5f56e101628b6d7edcc0b733">posZ</a></td></tr>
<tr class="memdesc:a7ce6249e5f56e101628b6d7edcc0b733"><td class="mdescLeft">&#160;</td><td class="mdescRight">Relative position in Cartesian coordinate from sensor to objects <br />
 Z position of object 1lsb = 1cm, -32768cm to 32767cm <br />
. <br /></td></tr>
<tr class="separator:a7ce6249e5f56e101628b6d7edcc0b733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada8f63d820c1703a6b5b9b8724425535"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada8f63d820c1703a6b5b9b8724425535"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#ada8f63d820c1703a6b5b9b8724425535">velX</a></td></tr>
<tr class="memdesc:ada8f63d820c1703a6b5b9b8724425535"><td class="mdescLeft">&#160;</td><td class="mdescRight">Relative velocity in Cartesian coordinate <br />
 X velocity of object 1lsb = 1 cm/s, Valid Range -5000 to +5000 <br />
. <br /></td></tr>
<tr class="separator:ada8f63d820c1703a6b5b9b8724425535"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f5f9a51b5dd7113e3748950bc36d7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07f5f9a51b5dd7113e3748950bc36d7d"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#a07f5f9a51b5dd7113e3748950bc36d7d">velY</a></td></tr>
<tr class="memdesc:a07f5f9a51b5dd7113e3748950bc36d7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Relative velocity in Cartesian coordinate <br />
 Y velocity of object 1lsb = 1cm/s, Valid Range -5000 to +5000 <br />
. <br /></td></tr>
<tr class="separator:a07f5f9a51b5dd7113e3748950bc36d7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c42e3fdbd7422f4dc477eff4792631e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c42e3fdbd7422f4dc477eff4792631e"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#a9c42e3fdbd7422f4dc477eff4792631e">velZ</a></td></tr>
<tr class="memdesc:a9c42e3fdbd7422f4dc477eff4792631e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Relative velocity in Cartesian coordinate <br />
 Z velocity of object 1lsb = 1cm/s, Valid Range -5000 to +5000 <br />
. <br /></td></tr>
<tr class="separator:a9c42e3fdbd7422f4dc477eff4792631e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9127dbdd2005546bb8a6144123dffb33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9127dbdd2005546bb8a6144123dffb33"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#a9127dbdd2005546bb8a6144123dffb33">sigLvl</a></td></tr>
<tr class="memdesc:a9127dbdd2005546bb8a6144123dffb33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reflecting obj' sig level at ADC o/p, relative to ADC Full Scale <br />
 1 LSB = -0.1 dBFS, Valid Range 0 to 950 <br />
. <br /></td></tr>
<tr class="separator:a9127dbdd2005546bb8a6144123dffb33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbb23e922379dcbace814a4d4ce32de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcbb23e922379dcbace814a4d4ce32de"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#abcbb23e922379dcbace814a4d4ce32de">posXMin</a></td></tr>
<tr class="memdesc:abcbb23e922379dcbace814a4d4ce32de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boundary min limit, Obj location resets to posX if cross boundary <br />
 X position of min boundary 1lsb = 1cm, -32768cm to 32767cm <br />
. <br /></td></tr>
<tr class="separator:abcbb23e922379dcbace814a4d4ce32de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81ef32bbc94f572f34bf35394d25227d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81ef32bbc94f572f34bf35394d25227d"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#a81ef32bbc94f572f34bf35394d25227d">posYMin</a></td></tr>
<tr class="memdesc:a81ef32bbc94f572f34bf35394d25227d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boundary min limit, Obj location resets to posY if cross boundary <br />
 Y position of min boundary 1lsb = 1cm, 0 to 32767cm <br />
. <br /></td></tr>
<tr class="separator:a81ef32bbc94f572f34bf35394d25227d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca8bd05e2f2b9ab09ca7b5370f4c6ab7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca8bd05e2f2b9ab09ca7b5370f4c6ab7"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#aca8bd05e2f2b9ab09ca7b5370f4c6ab7">posZMin</a></td></tr>
<tr class="memdesc:aca8bd05e2f2b9ab09ca7b5370f4c6ab7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boundary min limit, Obj location resets to posZ if cross boundary <br />
 Z position of min boundary 1lsb = 1cm, -32768cm to 32767cm <br />
. <br /></td></tr>
<tr class="separator:aca8bd05e2f2b9ab09ca7b5370f4c6ab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac25de0a03b9f6a2a39cc2de2363de8e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac25de0a03b9f6a2a39cc2de2363de8e6"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#ac25de0a03b9f6a2a39cc2de2363de8e6">posXMax</a></td></tr>
<tr class="memdesc:ac25de0a03b9f6a2a39cc2de2363de8e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boundary max limit, Obj location resets to posX if cross boundary <br />
 X position of max boundary 1lsb = 1cm, -32768cm to 32767cm <br />
. <br /></td></tr>
<tr class="separator:ac25de0a03b9f6a2a39cc2de2363de8e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff251f71772165916612cc02e38d5b3f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff251f71772165916612cc02e38d5b3f"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#aff251f71772165916612cc02e38d5b3f">posYMax</a></td></tr>
<tr class="memdesc:aff251f71772165916612cc02e38d5b3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boundary max limit, Obj location resets to posX if cross boundary <br />
 Y position of max boundary 1lsb = 1cm, 0 to 32767cm <br />
. <br /></td></tr>
<tr class="separator:aff251f71772165916612cc02e38d5b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af725b81b72ce8885863b6c490299d59c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af725b81b72ce8885863b6c490299d59c"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_test_source_object__t.html#af725b81b72ce8885863b6c490299d59c">posZMax</a></td></tr>
<tr class="memdesc:af725b81b72ce8885863b6c490299d59c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boundary max limit, Obj location resets to posX if cross boundary <br />
 Z position of max boundary 1lsb = 1cm, -32768cm to 32767cm <br />
. <br /></td></tr>
<tr class="separator:af725b81b72ce8885863b6c490299d59c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The Object position and signal strength parameter structure. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
